Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.validator
Class XSDValidator

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.validator.XSDValidator

All Implemented Interfaces:
  IXSDValidator

    public class XSDValidator

extends java.lang.Object
implements IXSDValidator

Clase que gestiona la validación XSD de documentos XML.
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es

Method Summary
`static IXSDValidator` | `createInstance()` Crea una instancia de la propia clase.
`ValidateResult` | `validate(byte[] inputDocument)` Valida un documento XML de formato comun contra el XSD
`ValidateResult` | `validate(java.lang.String documentPath)` Valida un documento XML de formato comun contra el XSD

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### validate

    public ValidateResult validate(java.lang.String documentPath)
                            throws XSDValidatorException

  Description copied from interface: `IXSDValidator`
  Valida un documento XML de formato comun contra el XSD

  Specified by:
    `validate` in interface `IXSDValidator`
  Parameters:
    `documentPath` - ruta del documento XML de formato comun que se quiere validar
  Returns:
    Objeto de tipo ValidateResult. Recoge los mensajes de validación (si existen) y un indicador de si el documento XML se considera válido
  Throws:
    `XSDValidatorException` - si se produce un error durante la validación.

### createInstance

    public static IXSDValidator createInstance()

  Crea una instancia de la propia clase.

  Returns:
    Instancia de la propia clase XSDValidator

### validate

    public ValidateResult validate(byte[] inputDocument)
                            throws XSDValidatorException

  Description copied from interface: `IXSDValidator`
  Valida un documento XML de formato comun contra el XSD

  Specified by:
    `validate` in interface `IXSDValidator`
  Parameters:
    `inputDocument` - array de bytes que contiene un documento XML de formato comun que se quiere validar
  Returns:
    Objeto de tipo ValidateResult. Recoge los mensajes de validación (si existen) y un indicador de si el documento XML se considera válido
  Throws:
    `XSDValidatorException` - si se produce un error durante la validación.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD